Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Interface RmiAblePlatformServiceEventGenerator

All Superinterfaces:
  java.rmi.Remote

All Known Subinterfaces:
  RmiAblePlatformService, RmiAgentLifeCycleService, RmiAgentLoggingService, RmiPlatformPersistenceService, RmiPlatformSupportService, RMIVerifiableDirectoryService, RMIVerifiableNamingService

All Known Implementing Classes:
  AbleBasicService, RmiAgentLifeCycleSystem, RmiAgentLoggingSystem, RmiPlatformPersistenceSystem, RmiPlatformSupportServiceSystem, RMIVerifiableDirectorySystem, RMIVerifiableNamingSystem

public interface RmiAblePlatformServiceEventGenerator
extends java.rmi.Remote

This interface is implemented by remote platform services that generate service events that can be listened for by the general public; methods are provided to allow listeners of service events to register and deregister with the implementing service.

See Also:
  `AblePlatformServiceEventGenerator`

Method Summary
`void` | `addAblePlatformServiceEventListener(AblePlatformServiceEventListener theListener)` Adds a service event listener to this service.
`java.util.Vector` | `getAblePlatformServiceEventListeners()` Gets a collection of all service event listeners registered with this service event generator.
`void` | `removeAblePlatformServiceEventListener(AblePlatformServiceEventListener theListener)` Removes a service event listener from this service.

Method Detail

### addAblePlatformServiceEventListener

    public void addAblePlatformServiceEventListener(AblePlatformServiceEventListener theListener)
                                             throws java.rmi.RemoteException

  Adds a service event listener to this service.

  Parameters:
    `theListener` - Any object interested in listening for service events generated by this service.

  Throws:
    `java.rmi.RemoteException` - If the listener to be added is null, or on any RMI error.

### removeAblePlatformServiceEventListener

    public void removeAblePlatformServiceEventListener(AblePlatformServiceEventListener theListener)
                                                throws java.rmi.RemoteException

  Removes a service event listener from this service.

  Parameters:
    `theListener` - A previously registered object that is no longer interested in listening for service events generated by this service.

  Throws:
    `java.rmi.RemoteException` - If the listener to be removed is null, or on any RMI error.

### getAblePlatformServiceEventListeners

    public java.util.Vector getAblePlatformServiceEventListeners()
                                                          throws java.rmi.RemoteException

  Gets a collection of all service event listeners registered with this service event generator.

  Returns:
    All registered AblePlatformServiceEventListener objects.
  Throws:
    `java.rmi.RemoteException` - On any RMI error.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005